#
# See the file "LICENSE" for the full license governing this code.
#
#
# == Define: wls_install::cluster_node
#
# Create's a machine and a managed server for all specified nodes
# in a Weblogic cluster.
#
#
define wls_install::cluster_node(
  String[1] $machine_name,
  String[1] $listenaddress,
  Integer   $listen_port,
  Integer   $ssl_listen_port,
  Integer   $nodemanager_port,
  String[1] $domain_name,
  Array     $server_arguments,
)
{
  wls_machine { "${domain_name}/${machine_name}":
    ensure        => 'present',
    listenaddress => $listenaddress,
    listenport    => $nodemanager_port,
    machinetype   => 'UnixMachine',
    nmtype        => 'SSL',
  }

  wls_install::managed_server{ $title:
    domain           => $domain_name,
    machine          => $machine_name,
    listenaddress    => $listenaddress,
    server_arguments => $server_arguments,
    listenport       => $listen_port,
    ssllistenport    => $ssl_listen_port,
  }
}
